MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001486VCMIAI - Battlespublic2013-10-07 14:422022-03-16 20:05
Reporterhippox 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityunable to reproduce
StatusresolvedResolutionfixed 
PlatformVCMI windowsOSWindows 7 64OS VersionSP1
Product Version0.94 
Target VersionFixed in Version0.next 
Summary0001486: Catapult errors. Crash. In battle (siege). Hotseat.
DescriptionWas playing a hotseat game with myself. 2 players. Necropolis and Tower. Map was 'Arrogance'. I was attacking blue player's starting town (Tower). Both players used auto-combat in the siege.

I was getting a lot of these server errors: 'catapult tried attacking already destroyed wall' or something like that, however, no walls were destroyed to start with the error started (first turn). The catapult would still fire rarely (maybe every 3-6 turn) turn.
Steps To ReproduceNot sure.
TagsNo tags attached.
Attached Filesrar file icon VCMI battle hotseat crash.rar [^] (452,883 bytes) 2013-10-07 14:42
rar file icon save.rar [^] (285,370 bytes) 2013-10-07 14:49

- Relationships

-  Notes
(0004067)
hippox (reporter)
2013-10-07 14:51

The crash might have occurred on the last hit (winning). I tried to load and do the same attack, but it then didn't crash. Still, the catapult errors every time.
(0006383)
SXX (administrator)
2016-01-29 20:38

I had crash in hotseat with both players using auto battle. Crashed at "CBattleInterface::activateStack" that does have comment about that case.
(0008139)
Povelitel (updater)
2022-03-16 20:05

Fixed long time ago

- Issue History
Date Modified Username Field Change
2013-10-07 14:42 hippox New Issue
2013-10-07 14:42 hippox File Added: VCMI battle hotseat crash.rar
2013-10-07 14:49 hippox File Added: save.rar
2013-10-07 14:51 hippox Note Added: 0004067
2013-11-10 11:02 beegee Category GUI - Battles => AI - Battles
2016-01-29 20:38 SXX Note Added: 0006383
2016-09-12 03:19 SXX Assigned To => SXX
2016-09-12 03:19 SXX Status new => assigned
2022-03-16 20:05 Povelitel Note Added: 0008139
2022-03-16 20:05 Povelitel Status assigned => resolved
2022-03-16 20:05 Povelitel Fixed in Version => 0.next
2022-03-16 20:05 Povelitel Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean